function  Book_AddTOCEntries(ParamBookEntry)
{
  Level1 = ParamBookEntry.fNewChild("Using This Help File", "Preface.html#1030982");
  Level2 = Level1.fNewChild("Typographical Conventions", "Preface2.html#1028391");
  Level1 = ParamBookEntry.fNewChild("Quick Start", "jquikstart.html#922062");
  Level2 = Level1.fNewChild("Connecting to a Database", "jquikstart2.html#922160");
  Level3 = Level2.fNewChild("1. Setting the Classpath", "jquikstart2.html#922072");
  Level3 = Level2.fNewChild("2. Registering the Driver", "jquikstart2.html#922228");
  Level3 = Level2.fNewChild("3. Passing the Connection URL", "jquikstart2.html#922087");
  Level1 = ParamBookEntry.fNewChild("Using the SQL Server 2000 Driver for JDBC", "usejdbc.html#998538");
  Level2 = Level1.fNewChild("About the SQL Server 2000 Driver for JDBC", "usejdbc2.html#996767");
  Level2 = Level1.fNewChild("Connecting Through the JDBC Driver Manager", "usejdbc3.html#548419");
  Level3 = Level2.fNewChild("URL Examples", "usejdbc3.html#549040");
  Level2 = Level1.fNewChild("Connecting Through Data Sources", "usejdbc4.html#539865");
  Level3 = Level2.fNewChild("How SQL Server 2000 Driver for JDBC Data Sources Are Implemented", "usejdbc4.html#539867");
  Level3 = Level2.fNewChild("Calling a Data Source in an Application", "usejdbc4.html#539880");
  Level3 = Level2.fNewChild("Using Connection Pooling", "usejdbc4.html#539893");
  Level2 = Level1.fNewChild("Specifying Connection Properties", "usejdbc5.html#539920");
  Level2 = Level1.fNewChild("Using the SQL Server 2000 Driver for JDBC on a Java 2 Platform", "usejdbc6.html#537191");
  Level2 = Level1.fNewChild("Error Handling", "usejdbc7.html#539409");
  Level3 = Level2.fNewChild("SQL Server 2000 Driver for JDBC Errors", "usejdbc7.html#539426");
  Level3 = Level2.fNewChild("Database Errors", "usejdbc7.html#539434");
  Level2 = Level1.fNewChild("SQL Server 2000 Driver for JDBC Directory Structure", "usejdbc8.html#998888");
  Level1 = ParamBookEntry.fNewChild("SQL Server 2000 Driver for JDBC", "jdbcsqlsrv.html#920145");
  Level2 = Level1.fNewChild("Data Source and Driver Classes", "jdbcsqlsrv2.html#917260");
  Level2 = Level1.fNewChild("Connection String Properties", "jdbcsqlsrv3.html#914985");
  Level2 = Level1.fNewChild("Connecting to Named Instances", "jdbcsqlsrv4.html#922593");
  Level2 = Level1.fNewChild("Data Types", "jdbcsqlsrv5.html#920597");
  Level2 = Level1.fNewChild("SQL Escape Sequences", "jdbcsqlsrv6.html#915146");
  Level2 = Level1.fNewChild("Isolation Levels", "jdbcsqlsrv7.html#915171");
  Level2 = Level1.fNewChild("Using Scrollable Cursors", "jdbcsqlsrv8.html#920960");
  Level2 = Level1.fNewChild("Installing Stored Procedures for JTA", "jdbcsqlsrv9.html#920336");
  Level1 = ParamBookEntry.fNewChild("JDBC Support", "jdbcsupp.html#524304");
  Level2 = Level1.fNewChild("Supported Functionality", "jdbcsupp2.html#537109");
  Level1 = ParamBookEntry.fNewChild("SQL Server 2000 Driver for JDBC GetTypeinfo", "getinfoapp.html#918106");
  Level1 = ParamBookEntry.fNewChild("Designing JDBC Applications for Performance Optimization", "jdbcdesign.html#68625");
  Level2 = Level1.fNewChild("Using Database Metadata Methods", "jdbcdesign2.html#72256");
  Level3 = Level2.fNewChild("Minimizing the Use of Database Metadata Methods", "jdbcdesign2.html#72285");
  Level3 = Level2.fNewChild("Avoiding Search Patterns", "jdbcdesign2.html#72262");
  Level3 = Level2.fNewChild("Using a Test Query to Determine Table Characteristics", "jdbcdesign2.html#72332");
  Level2 = Level1.fNewChild("Retrieving Data", "jdbcdesign3.html#72549");
  Level2 = Level1.fNewChild("Retrieving Long Data", "jdbcdesign4.html#72523");
  Level3 = Level2.fNewChild("Reducing the Size of Data Retrieved", "jdbcdesign4.html#72421");
  Level3 = Level2.fNewChild("Choosing the Right Data Type", "jdbcdesign4.html#72424");
  Level2 = Level1.fNewChild("Selecting JDBC Objects and Methods", "jdbcdesign5.html#72444");
  Level3 = Level2.fNewChild("Using Parameter Markers as Arguments to Stored Procedures", "jdbcdesign5.html#72446");
  Level3 = Level2.fNewChild("Using the Statement Object Instead of the PreparedStatement Object", "jdbcdesign5.html#72458");
  Level3 = Level2.fNewChild("Choosing the Right Cursor", "jdbcdesign5.html#72461");
  Level2 = Level1.fNewChild("Designing JDBC Applications", "jdbcdesign6.html#72586");
  Level3 = Level2.fNewChild("Managing Connections", "jdbcdesign6.html#72588");
  Level3 = Level2.fNewChild("Managing Commits in Transactions", "jdbcdesign6.html#72594");
  Level3 = Level2.fNewChild("Choosing the Right Transaction Model", "jdbcdesign6.html#72599");
  Level2 = Level1.fNewChild("Updating Data", "jdbcdesign7.html#73681");
  Level3 = Level2.fNewChild("Using updateXXX Methods", "jdbcdesign7.html#72658");
  Level3 = Level2.fNewChild("Using getBestRowIndentifier()", "jdbcdesign7.html#72668");
  Level2 = Level1.fNewChild("Conclusion", "jdbcdesign8.html#72694");
  Level1 = ParamBookEntry.fNewChild("SQL Escape Sequences for JDBC", "scalarfn.html#17262");
  Level2 = Level1.fNewChild("Date, Time, and Timestamp Escape Sequences", "scalarfn2.html#17272");
  Level2 = Level1.fNewChild("Scalar Functions", "scalarfn3.html#17303");
  Level2 = Level1.fNewChild("Outer Join Escape Sequences", "scalarfn4.html#29048");
  Level2 = Level1.fNewChild("Procedure Call Escape Sequences", "scalarfn5.html#27367");
}
